Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365460 - oc get all --all-namespaces does not show namespace for Custom strategy bc
Summary: oc get all --all-namespaces does not show namespace for Custom strategy bc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Command Line Interface
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Juan Vallejo
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-09 10:43 UTC by Xingxing Xia
Modified: 2016-09-19 13:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:52:56 UTC


Attachments (Terms of Use)

Description Xingxing Xia 2016-08-09 10:43:29 UTC
Description of problem:
If there is bc with Custom strategy, `oc get all --all-namespaces` does not show namespace for that bc. bc with other strategies, such as Docker and Source, does not have this issue.

Version-Release number of selected component (if applicable):
openshift v1.3.0-alpha.3+d99ddc1
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git

How reproducible:
Always

Steps to Reproduce:
1. Create a project "xxia-test"
2. Create bc with 'Custom' strategy, e.g.:
$ oc new-app -f origin/examples/sample-app/application-template-custombuild.json
3. Check oc get all --all-namespaces
$ oc get all --all-namespaces --config openshift.local.config/master

Actual results:
3.
NAMESPACE              NAME                        TYPE                                  FROM    LATEST
bc/ruby-sample-build   Custom                      origin-custom-docker-builder:latest   1
NAMESPACE              NAME                        TYPE                                  FROM              STATUS     STARTED          DURATION
xxia-test              builds/ruby-sample-build-1  Custom                                Git               Complete   11 minutes ago   1m16s


Expected results:
3. Should show namespace for bc/ruby-sample-build which is Custom strategy

Additional info:

Comment 1 Juan Vallejo 2016-08-12 13:20:29 UTC
Related PR: https://github.com/openshift/origin/pull/10340

Comment 2 Xingxing Xia 2016-08-15 03:09:27 UTC
Tested with:
oc v1.3.0-alpha.3+69c7837
kubernetes v1.3.0+507d3a7
features: Basic-Auth GSSAPI Kerberos SPNEGO

Now it shows namespace for Custom strategy bc


Note You need to log in before you can comment on or make changes to this bug.